View Issue Details

IDProjectCategoryView StatusLast Update
0000100SOGoBackend Generalpublic2009-10-14 10:10
Reporterkutis Assigned Toludovic  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.4 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000100: Missing dependency on CentOS5: libevent (required by memcached)
Description

Installing version 1.0.4 can't update libevent (to libevent-1.3b.so.1, required by memcached), because nfs-utils needs libevent-1.1a.so.1.

TagsNo tags attached.

Activities

togi

togi

2009-09-02 02:20

reporter   ~0000111

Last edited: 2009-09-02 09:36

No upgrade (1.0.3 to 1.0.4) possible for users who use nfs-utils!

tarjei

tarjei

2009-09-03 04:27

reporter   ~0000113

Maybe it would be a better idea not to package memcached with the rest of Sogo, but instead advise users to add the epel or dag repositories to their install?

Other applications may also depend on memcached so keeping it exclusive to Sogo isn't a very good idea.

francis

francis

2009-09-03 09:18

administrator   ~0000114

The problem is libmemcached, which is not available neither on dag nor epel. Is there any known and trusty RPM repository that provides this package?

togi

togi

2009-09-22 09:57

reporter   ~0000121

I've added epel (priority=1) and rpmforge (priority=1) and set sogo-repo to priority=2. Maybe adding only epel is enough!?

Can anybody confirm this solution?

ludovic

ludovic

2009-10-14 10:10

administrator   ~0000161

We now use RHEL v5 (or CentOS v5) libevent.

Also upgraded memcached and libmemcached to the latest versions.

Issue History

Date Modified Username Field Change
2009-08-13 19:46 kutis New Issue
2009-09-02 02:20 togi Note Added: 0000111
2009-09-02 09:36 togi Note Edited: 0000111
2009-09-03 04:27 tarjei Note Added: 0000113
2009-09-03 09:18 francis Note Added: 0000114
2009-09-22 09:57 togi Note Added: 0000121
2009-10-09 13:28 ludovic Target Version => 1.1.0
2009-10-14 10:10 ludovic Note Added: 0000161
2009-10-14 10:10 ludovic Status new => resolved
2009-10-14 10:10 ludovic Fixed in Version => 1.1.0
2009-10-14 10:10 ludovic Resolution open => fixed
2009-10-14 10:10 ludovic Assigned To => ludovic